<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/whiteSmoke"
    android:orientation="vertical">

    <include
        android:id="@+id/titleBarLayout"
        layout="@layout/include_base_title" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scrollbars="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.cardview.widget.CardView style="@style/cardViewStyle">

                <RelativeLayout
                    android:id="@+id/shopLayout"
                    style="@style/itemLayoutStyle">

                    <TextView
                        style="@style/tagTextViewStyle"
                        android:text="商\u3000\u3000户" />

                    <TextView
                        android:id="@+id/shopView"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginStart="100dp"
                        android:layout_marginEnd="5dp"
                        android:layout_toStartOf="@id/v"
                        android:text="请选择"
                        android:textColor="@color/darkGray"
                        android:textSize="@dimen/textFontSize" />

                    <ImageView
                        android:id="@+id/v"
                        style="@style/rightImageStyle"
                        android:background="@drawable/ic_right" />
                </RelativeLayout>
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView style="@style/cardViewStyle">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/tagTextViewStyle"
                            android:text="经\u3000\u3000度" />

                        <TextView
                            android:id="@+id/longitudeView"
                            style="@style/detailTextViewStyle" />
                    </RelativeLayout>

                    <include layout="@layout/line" />

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/tagTextViewStyle"
                            android:text="纬\u3000\u3000度" />

                        <TextView
                            android:id="@+id/latitudeView"
                            style="@style/detailTextViewStyle" />
                    </RelativeLayout>

                    <include layout="@layout/line" />

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/tagTextViewStyle"
                            android:text="社\u3000\u3000区" />

                        <EditText
                            android:id="@+id/communityNameView"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="100dp"
                            android:background="@null"
                            android:hint="社区通过地图选点获取"
                            android:padding="3dp"
                            android:textColor="@color/textColor"
                            android:textColorHint="@color/hintColor"
                            android:textSize="@dimen/textFontSize" />
                    </RelativeLayout>

                    <include layout="@layout/line" />

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/tagTextViewStyle"
                            android:text="案卷地点" />

                        <EditText
                            android:id="@+id/caseLocationView"
                            style="@style/inputEditTextStyle"
                            android:layout_marginStart="100dp"
                            android:background="@null"
                            android:hint="请输入案卷发生的地点"
                            android:maxLength="50"
                            android:padding="3dp" />
                    </RelativeLayout>
                </LinearLayout>
            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView style="@style/cardViewStyle">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/tagTextViewStyle"
                            android:text="店\u3000\u3000主" />

                        <EditText
                            android:id="@+id/shopKeeperView"
                            style="@style/inputEditTextStyle"
                            android:layout_marginStart="100dp"
                            android:background="@null"
                            android:hint="请输入店主姓名"
                            android:padding="3dp" />
                    </RelativeLayout>

                    <include layout="@layout/line" />

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/tagTextViewStyle"
                            android:text="电话号码" />

                        <EditText
                            android:id="@+id/phoneNumberView"
                            style="@style/inputEditTextStyle"
                            android:layout_marginStart="100dp"
                            android:background="@null"
                            android:hint="请输入店主手机号码"
                            android:inputType="phone"
                            android:maxLength="11"
                            android:padding="3dp" />
                    </RelativeLayout>

                    <include layout="@layout/line" />

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            style="@style/tagTextViewStyle"
                            android:text="案卷情况" />

                        <EditText
                            android:id="@+id/caseDetailEditView"
                            style="@style/inputEditTextStyle"
                            android:layout_marginStart="100dp"
                            android:background="@null"
                            android:hint="请输入少于50个字的案卷情况描述"
                            android:maxLength="50"
                            android:padding="3dp" />
                    </RelativeLayout>

                    <include layout="@layout/line" />

                    <RelativeLayout style="@style/itemLayoutStyle">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:drawableEnd="@mipmap/point"
                            android:text="案卷图片"
                            android:textSize="@dimen/textFontSize" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/selectedGridViewView"
                            style="@style/gridViewStyle"
                            android:layout_marginStart="100dp" />
                    </RelativeLayout>
                </LinearLayout>
            </androidx.cardview.widget.CardView>

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/submitButton"
                style="@style/roundButtonStyle"
                android:layout_margin="30dp"
                android:text="提交" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</LinearLayout>